SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Mozilla Firefox Vendors:   Mozilla.org
(Oracle Issues Fix for Oracle Linux) Mozilla Firefox File Processing Flaws Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1041815
SecurityTracker URL:  http://securitytracker.com/id/1041815
CVE Reference:   CVE-2018-12386, CVE-2018-12387   (Links to External Site)
Date:  Oct 9 2018
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Two vulnerabilities were reported in Mozilla Firefox. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted file that, when loaded by the target user, will trigger a register allocation and type confusion error and execute arbitrary code on the target system [CVE-2018-12386].

A remote user can trigger a bailout error in the JavaScript JIT compiler when inlining 'Array.prototype.push' to potentially execute arbitrary code within the sandboxed content process [CVE-2018-12387].

Samuel Gross, Bruno Keith (via Beyond Security's SecuriTeam Secure Disclosure program), and Niklas Baumstark (via Beyond Security's SecuriTeam Secure Disclosure program) reported these vulnerabilities.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   Oracle has issued a fix.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2018-2884.html

Vendor URL:  linux.oracle.com/errata/ELSA-2018-2884.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Oct 2 2018 Mozilla Firefox File Processing Flaws Let Remote Users Execute Arbitrary Code



 Source Message Contents

Subject:  [El-errata] ELSA-2018-2884 Critical: Oracle Linux 7 firefox security update

Oracle Linux Security Advisory ELSA-2018-2884

http://linux.oracle.com/errata/ELSA-2018-2884.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
firefox-60.2.2-1.0.1.el7_5.i686.rpm
firefox-60.2.2-1.0.1.el7_5.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/firefox-60.2.2-1.0.1.el7_5.src.rpm



Description of changes:

[60.2.2-1.0.1]
- Add firefox-oracle-default-prefs.js and remove the corresponding Red 
Hat file

[60.2.2-1]
- Update to 60.2.2 ESR


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC